> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hanko.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Remove Credential

> Endpoint for removing a webauthn credential



## OpenAPI

````yaml openapi-passkeys delete /{tenant_id}/credentials/{credential_id}
openapi: 3.1.0
info:
  version: '1.2'
  title: passkey-server
  description: >-
    This API shall represent the private and public endpoints for passkey
    registration, management and authentication
  termsOfService: https://www.hanko.io/terms
  contact:
    email: developers@hanko.io
    url: https://www.hanko.io
    name: Hanko Dev Team
  license:
    url: https://www.gnu.org/licenses/gpl-3.0.de.html
    name: GPLv3
servers:
  - url: https://passkeys.hanko.io
security: []
tags:
  - name: credentials
    description: Represents all objects which are related to WebAuthn credentials
  - name: mfa
    description: Represents all objects which are related to MFA in common
  - name: webauthn
    description: Represents all objects which are related to WebAuthn in common
  - name: audit_logs
    description: Represents all objects which are related to audit logs
paths:
  /{tenant_id}/credentials/{credential_id}:
    delete:
      summary: Remove Credential
      description: Endpoint for removing a webauthn credential
      operationId: delete-credentials-credentialId
      parameters:
        - $ref: '#/components/parameters/X-API-KEY'
        - $ref: '#/components/parameters/credential_id'
        - $ref: '#/components/parameters/tenant_id'
      responses:
        '204':
          description: No Content
        '400':
          $ref: '#/components/responses/error'
        '401':
          $ref: '#/components/responses/error'
        '404':
          $ref: '#/components/responses/error'
        '500':
          $ref: '#/components/responses/error'
      security: []
      servers:
        - url: https://passkeys.hanko.io
components:
  parameters:
    X-API-KEY:
      name: apiKey
      in: header
      description: Secret API key
      required: true
      schema:
        type: string
        minLength: 32
    credential_id:
      name: credential_id
      in: path
      description: The ID of the webauthn credential
      required: true
      schema:
        type: string
        example:
          - 9c9U-4tB0glkGr3TEv39An3GVmg
    tenant_id:
      name: tenant_id
      in: path
      description: UUID of the tenant
      required: true
      schema:
        type: string
        format: uuid
        minLength: 36
        maxLength: 36
        example:
          - 1f496bcd-49da-4839-a02f-7ce681ccb488
  responses:
    error:
      description: Error Response with detailed information
      content:
        application/json:
          schema:
            type: object
            properties:
              title:
                type: string
                example:
                  - explanatory title
              details:
                type: string
                example:
                  - Information which helps resolving the problem
              status:
                type: integer

````